Bug 174149 - net-mgmt/nfdump configure fails
Summary: net-mgmt/nfdump configure fails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-05 11:20 UTC by Aron Calvert
Modified: 2013-03-27 21:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Calvert 2012-12-05 11:20:00 UTC
I got. 

# make showconfig
===> The following configuration options are available for nfdump-1.6.8:
     FIXTIMEBUG=off: With fixing swap time bug of some v5
     FT2NFDUMP=off: With Flow-tools to nfdump converter
     NFDUMP15=off: Enable compatbility with version 1.5
     NFPROFILE=off: With nfprofile (nfsen requires it)
     NFTRACK=off: With PortTracker support
     READPCAP=off: With pcap support
     SFLOW=on: Build sflow collector daemon also
===> Use 'make config' to modify these settings

# make
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... ./install-sh -c -d
checking for gawk... no
checking for mawk... no
checking for nawk... nawk
checking whether make sets $(MAKE)... yes
checking for gcc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of cc... gcc3
checking whether cc understands -c and -o together... yes
checking whether we are using SunPro C... no
checking for bison... bison -y
checking for flex... flex
checking lex output file root... lex.yy
checking lex library... -lfl
checking whether yytext is a pointer... yes
checking how to run the C preprocessor... cpp
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for rrd_update in -lrrd... no
configure: error: Can not link librrd. Please specify --with-rrdpath=.. configure failed! 
===>  Script "configure" failed unexpectedly.
Please report the problem to janos.mohacsi@bsd.hu [maintainer] and attach the
"/usr/ports/net-mgmt/nfdump/work/nfdump-1.6.8/config.log" including the output
of the failure of your make command. Also, it might be a good idea to provide
an overview of all packages installed on your system (e.g. a /usr/sbin/pkg_info
-Ea).
*** Error code 1

Stop in /usr/ports/net-mgmt/nfdump.
*** Error code 1

## rrdtool is installed. librarys are in /usr/local/lib/
# pkg_info | grep rrd
rrdtool-1.4.7_2     Round Robin Database Tools

How-To-Repeat: make -C net-mgmt/nfdump
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-12-06 01:22:11 UTC
Responsible Changed
From-To: freebsd-amd64->freebsd-ports-bugs

ports PR.
Comment 2 Edwin Groothuis freebsd_committer 2012-12-06 01:22:28 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2012-12-06 01:22:28 UTC
Maintainer of net-mgmt/nfdump,

Please note that PR ports/174149 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174149

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 dfilter service freebsd_committer 2013-03-27 21:08:09 UTC
Author: pawel
Date: Wed Mar 27 21:08:01 2013
New Revision: 315414
URL: http://svnweb.freebsd.org/changeset/ports/315414

Log:
  - Update to version 1.6.9 [1]
  - Add patch to fix rrdtool detection [2]
  - Remove nftrack from PLIST_FILES, it's only
    installed when NFTRACK=on
  - Don't compile with debug flags by default
  - Cleanup pkg-descr
  
  PR:		ports/177392 [1]
  PR:		ports/174149 [2]
  Submitted by:	Geoffroy Desvernay <dgeo@centrale-marseille.fr> [1]
  Reported by:	Aron Calvert <bsd@presi.dk> [2]
  Approved by:	maintainer [1], maintainer timeout [2]

Added:
  head/net-mgmt/nfdump/files/
  head/net-mgmt/nfdump/files/patch-configure   (contents, props changed)
Modified:
  head/net-mgmt/nfdump/Makefile
  head/net-mgmt/nfdump/distinfo
  head/net-mgmt/nfdump/pkg-descr   (contents, props changed)

Modified: head/net-mgmt/nfdump/Makefile
==============================================================================
--- head/net-mgmt/nfdump/Makefile	Wed Mar 27 20:52:59 2013	(r315413)
+++ head/net-mgmt/nfdump/Makefile	Wed Mar 27 21:08:01 2013	(r315414)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	nfdump
-PORTVERSION=	1.6.8
+PORTVERSION=	1.6.9
 CATEGORIES=	net-mgmt
 MASTER_SITES=	SF/${PORTNAME}/stable/${PORTNAME}-${PORTVERSION}
 
@@ -29,6 +29,9 @@ NFTRACK_DESC=		With PortTracker support
 SFLOW_DESC=		Build sflow collector daemon also
 NFDUMP15_DESC=		Enable compatbility with version 1.5
 
+post-patch:
+	@${REINPLACE_CMD} 's|-ggdb||' ${WRKSRC}/bin/Makefile.in
+
 .include <bsd.port.options.mk>
 
 #for compatibility
@@ -39,8 +42,7 @@ CONFIGURE_ARGS+=	--enable-compat15
 CONFIGURE_ARGS+=	--disable-compat15
 .endif
 
-PLIST_FILES=	bin/nfanon bin/nfcapd bin/nfdump bin/nfexpire bin/nfreplay \
-		bin/nftrack
+PLIST_FILES=	bin/nfanon bin/nfcapd bin/nfdump bin/nfexpire bin/nfreplay
 MAN1=		nfanon.1 nfcapd.1 nfdump.1 nfexpire.1 nfreplay.1
 MAN1+=		ft2nfdump.1 nfprofile.1 sfcapd.1
 PORTDOCS=	AUTHORS ChangeLog INSTALL README

Modified: head/net-mgmt/nfdump/distinfo
==============================================================================
--- head/net-mgmt/nfdump/distinfo	Wed Mar 27 20:52:59 2013	(r315413)
+++ head/net-mgmt/nfdump/distinfo	Wed Mar 27 21:08:01 2013	(r315414)
@@ -1,2 +1,2 @@
-SHA256 (nfdump-1.6.8.tar.gz) = 4b2306d7a26f2f81228e7d3bbeb06df42e903dec9b351c770c474bd97d74a8d6
-SIZE (nfdump-1.6.8.tar.gz) = 672158
+SHA256 (nfdump-1.6.9.tar.gz) = 734943ab872d3642575add5db64ef5755f85a0a9600b120d5ee09bea4ef98dbc
+SIZE (nfdump-1.6.9.tar.gz) = 686587

Added: head/net-mgmt/nfdump/files/patch-configure
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-mgmt/nfdump/files/patch-configure	Wed Mar 27 21:08:01 2013	(r315414)
@@ -0,0 +1,20 @@
+--- ./configure.orig	2013-03-02 18:24:29.000000000 +0100
++++ ./configure	2013-03-27 20:43:21.000000000 +0100
+@@ -4945,7 +4945,7 @@
+ 
+ 
+ # Check whether --enable-nfprofile was given.
+-if test "${enable_nfprofile+set}" = set; then :
++if test "x${enable_nfprofile}" = xyes; then :
+   enableval=$enable_nfprofile;
+ 	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for rrd_update in -lrrd" >&5
+ $as_echo_n "checking for rrd_update in -lrrd... " >&6; }
+@@ -5069,7 +5069,7 @@
+ 
+ 
+ # Check whether --enable-nftrack was given.
+-if test "${enable_nftrack+set}" = set; then :
++if test "x${enable_nftrack}" = xyes; then :
+   enableval=$enable_nftrack;
+ 	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for rrd_update in -lrrd" >&5
+ $as_echo_n "checking for rrd_update in -lrrd... " >&6; }

Modified: head/net-mgmt/nfdump/pkg-descr
==============================================================================
--- head/net-mgmt/nfdump/pkg-descr	Wed Mar 27 20:52:59 2013	(r315413)
+++ head/net-mgmt/nfdump/pkg-descr	Wed Mar 27 21:08:01 2013	(r315414)
@@ -19,5 +19,3 @@ the network to another host.
 ft2nfdump - flow-tools to nfdump - optional component
 
 WWW: http://nfdump.sourceforge.net
-
-Janos Mohacsi <janos.mohacsi@bsd.hu>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Pawel Pekala freebsd_committer 2013-03-27 21:09:11 UTC
State Changed
From-To: feedback->closed

Fixed. Thanks for reporting!